# $Revision: 1.4 $, $Date: 2002/09/12 22:20:44 $
#
# Conditional build:
# _without_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	CSV_File
Summary:	Tie::CSV_File - ties a csv-file to an array of arrays
Summary(pl):	Modu Tie::CSV_File - wicy plik CSV z tablic tablic
Name:		perl-Tie-CSV_File
Version:	0.19
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Data-Compare
BuildRequires:	perl-Params-Validate
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Text-CSV_XS
BuildRequires:	perl-Tie-File
BuildRequires:	perl-Test-Warn >= 0.05
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::CSV_File represents a regular csv file as a Perl array of arrays.
The first dimension of the array represents the line-nr in the
original file, the second dimension represents the col-nr. Both
indices are starting with 0. You can also access with the normal array
value, e.g. $data[-1][-1] stands for the last field in the last line,
or @{$data[1]} stands for the columns of the second line.

%description -l pl
Tie::CSV_File reprezentuje zwyky plik CSV jako perlow tablic
tablic. Pierwszy wymiar reprezentuje numer linii w pliku, drugi wymiar
numer kolumny. Oba indeksy zaczynaj si od 0. Mona korzysta z
wasnoci tablic, np. $data[-1][-1] oznacza ostatnie pole w ostatniej
linii, a @{$data[1]} oznacza kolumny z drugiej linii.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-CSV_File.spec,v $
Revision 1.4  2002/09/12 22:20:44  radek
- version 0.19
- tests are back (now passing)

Revision 1.3  2002/09/08 15:50:04  radek
- version 0.16
- added Changes file
- turned tests off by default

Revision 1.2  2002/08/25 18:36:20  qboosh
- pl description

Revision 1.1  2002/08/25 16:00:08  radek
- new, STBR
